{
	"name": "table/local/currency/currency.json",
	"table_name": "currency",
	"table_prefix": "cur",
	"record_type": ["", "4d"],
	"table_name_language": {
		"": "Currency",
		"4d": "Currency 4D"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "currency_id",
			"order": ">"
		}
	],
	"save_script": [],
	"calculated_field": [],
	"field": [
		{
			"field_name": "currency_id",
			"field_type": "varchar",
			"field_length": 20,
			"constraint": ["primary key"],
			"not_allowed_value": [""]
		},
		{
			"field_name": "currency_name",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "change_date",
			"field_type": "date"
		},
		{
			"field_name": "exchange_rate",
			"field_type": "double"
		},
		{
			"field_name": "info",
			"field_type": "text"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.number",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "json_data.export_code",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.customer_project",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.buying_rate",
			"field_type": "double"
		},
		{
			"field_name": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.main_currency",
			"field_type": "varchar",
			"field_length": 20
		},
		{
			"field_name": "json_data.is_euro_currency",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.bank_account",
			"field_type": "text"
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		}
	],
	"field_change": [
		{
			"name": "currency_name",
			"old_name": ["name"]
		},
		{
			"name": "exchange_rate",
			"old_name": ["currency_rate"]
		}
	]
}
